pub struct OrderBook {
pub bids: Vec<BookLevel>,
pub asks: Vec<BookLevel>,
pub ms_timestamp: Option<i64>,
pub existing: Option<bool>,
}Expand description
An order book: the answer of GET /md/v2/orderbooks/{exchange}/{symbol} and the message of the order book
subscription.
Fields§
§bids: Vec<BookLevel>Bids, best first.
asks: Vec<BookLevel>Asks, best first.
ms_timestamp: Option<i64>Time in Unix milliseconds. The REST answer names it msTimestamp, the stream ms_timestamp.
existing: Option<bool>true for data from the history (the first message of a subscription), false for new events.
Trait Implementations§
Source§impl<'de> Deserialize<'de> for OrderBook
impl<'de> Deserialize<'de> for OrderBook
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for OrderBook
impl RefUnwindSafe for OrderBook
impl Send for OrderBook
impl Sync for OrderBook
impl Unpin for OrderBook
impl UnsafeUnpin for OrderBook
impl UnwindSafe for OrderBook
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more